Skip to main content
`Ctrl`+`K`

# DMGetGlobalSection

Get the `PetscSection` encoding the global data layout for the `DM`.

## Synopsis

    #include "petscdm.h"
    #include "petscdmlabel.h"
    #include "petscds.h"
    PetscErrorCode DMGetGlobalSection(DM dm, PetscSection *section)

Collective

## Input Parameter

- dm - The `DM`

## Output Parameter

- section - The `PetscSection`

## Note

This gets a borrowed reference, so the user should not destroy this `PetscSection`.

## See Also

DM Basics, `DM`, `DMSetLocalSection()`, `DMGetLocalSection()`

## Level

intermediate

## Location

src/dm/interface/dm.c

## Examples

src/dm/impls/plex/tutorials/dmplexgetrestoreclosureindices.F90

Index of all DM routines
Table of Contents for all manual pages
Index of all manual pages